> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-1-2/documentation/installation-and-upgrades/upgrading-connectware/upgrading-connectware-kubernetes/upgrading-connectware-to-2-1-0-kubernetes.md).

# Upgrading Connectware to 2.1.0 (Kubernetes)

Connectware 2.1.0 introduces support for the Siemens SIMATIC S7+ protocol and OPC UA complex data types. It also reintroduces service-level tracking for the Systemstate protocol, offering improved performance. Furthermore, it provides significant enhancements to resource deviation tracking and OPC UA reliability. For a complete list of changes, see the [2.1.0 changelog](https://docs.cybus.io/2-1-2/documentation/installation-and-upgrades/upgrading-connectware/upgrading-connectware-kubernetes/pages/0F22SWN9NNNKBU2GJWbW#what-has-changed-in-2.1.0).

{% stepper %}
{% step %}

### Upgrading Connectware to 2.1.0

Follow the instructions in [Upgrading Connectware (Kubernetes)](/2-1-2/documentation/installation-and-upgrades/upgrading-connectware/upgrading-connectware-kubernetes.md) to upgrade to version 2.1.0.
{% endstep %}

{% step %}

### Optional: Cleaning Up Disk Space After Upgrading to 2.1.0

As part of the Systemstate improvements in 2.1.0, the `resourceStates` NATS bucket is no longer used. If you want to save disk space, you can delete this bucket.

* To clean up disk space, run the following:

{% hint style="info" %}
Replace `${NAMESPACE}` with your Connectware namespace (e.g., `cybus`).
{% endhint %}

{% code lineNumbers="true" %}

```bash
kubectl debug -it \
  -n ${NAMESPACE} $(kubectl get pod -n ${NAMESPACE} -lapp=system-control-server -o name) \
 --image=registry.cybus.io/cybus/connectware-toolkit:1.4.0 \
 --target=system-control-server --profile general \
 -- bash -c 'source /proc/1/root/connectware_certs/env-1.0.sh && nats -s nats:4222 --user cybus_auth --password $CYBUS_NATS_AUTH_PASSWORD --tlscert=/proc/1/root/connectware_certs/cybus_client.crt --tlskey=/proc/1/root/connectware_certs/cybus_client.key --tlsca=/proc/1/root/connectware_certs/cybus_combined_ca.crt kv del resourceStates -f'
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cybus.io/2-1-2/documentation/installation-and-upgrades/upgrading-connectware/upgrading-connectware-kubernetes/upgrading-connectware-to-2-1-0-kubernetes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
